Subject: STAT system call
From: [email-masked] (Leo Mauro)

19 Jun 1998 10:14:14 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed;
	boundary="----=_NextPart_000_001C_01BD9B23.85F5A1B0"
To: <[email-masked]>

This is a multi-part message in MIME format.

------=_NextPart_000_001C_01BD9B23.85F5A1B0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit

On Wednesday, June 17, 1998 03:31 PM, Ron Parker wrote:

> I have had this problem with some configure scripts as well.  The 
> exact nature of the problem was that the system was trying to 
> stat() /dev/null.  Which does not actually exist.
[SNIP]

Indeed, /dev/null doesn't exist.  But the CygWin32 UNIX-simulation
layer fakes it (and many other /dev special files) on the fly.  I have
included a program to test what the stat() call does.  For all of you
still using text-mode mounts, the source has CRs in all the right
places :-)

On my system (B19 with Sergei's latest DLL and EGCS 1.0.2 on
NT 4.0 SP3), my test program sees /dev/null just fine.  It also sees
progname when only progname.exe exists.  Compile and try it on
your system.

And if it doesn't see /dev/null, consider upgrading to the latest
software releases.  Remember the B in B19 means Beta.  I.e.,
Caveat Emptor.

Leo
[[ stat.c : 1310 in winmail.dat ]]
------=_NextPart_000_001C_01BD9B23.85F5A1B0
Content-Type: application/ms-tnef;
	name="winmail.dat"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
	filename="winmail.dat"

////////////////////////////////////////////////////////////////////////////
/////8bHxgAAAAAAAAAAAAAAAAAAAAAAAAAAAISGhP//////////////////////////////////
/////////////////////////////////////////////////////////8bHxgAAAAAAAAAAAAAA
AAAAAAAAAAAAAISGhP//////////////////////////////////////////////////////////
/////////////////////////////////8bHxgAAAAAAAAAAAAAAAAAAAAAAAAAAAISGhP//////
////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////

------=_NextPart_000_001C_01BD9B23.85F5A1B0--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".